Read supported controls for an owned call
curl --request GET \
--url https://api.pyai.com/v1/telephony/calls/{id}/capabilities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pyai.com/v1/telephony/calls/{id}/capabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pyai.com/v1/telephony/calls/{id}/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pyai.com/v1/telephony/calls/{id}/capabilities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pyai.com/v1/telephony/calls/{id}/capabilities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pyai.com/v1/telephony/calls/{id}/capabilities")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pyai.com/v1/telephony/calls/{id}/capabilities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "telephony.call_capabilities",
"call_id": "<string>",
"version": 1,
"call_type": "human",
"controls": {
"hangup": {
"supported": true,
"reason": "<string>"
},
"hold": {
"supported": true,
"reason": "<string>"
},
"warm_transfer": {
"supported": true,
"reason": "<string>"
},
"cold_transfer": {
"supported": true,
"reason": "<string>"
},
"complete_transfer": {
"supported": true,
"reason": "<string>"
},
"cancel_transfer": {
"supported": true,
"reason": "<string>"
},
"listen": {
"supported": true,
"reason": "<string>"
},
"whisper": {
"supported": true,
"reason": "<string>"
},
"barge": {
"supported": true,
"reason": "<string>"
}
},
"client_controls": [
"mute"
],
"quality": {
"read_supported": true,
"live": false
},
"revalidation_required": true
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "invalid_request_error",
"param": "<string>"
}
}{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"request_id": "<string>"
}Telephony
Read supported controls for an owned call
Read controls supported by this call’s existing session and current configuration. Applications do not need to select a carrier or inspect server configuration. This snapshot does not authorize a future action: each request revalidates ownership, state, calling policy and recipient consent. Existing calls cannot change their media transport. No call is started or modified.
GET
/
v1
/
telephony
/
calls
/
{id}
/
capabilities
Read supported controls for an owned call
curl --request GET \
--url https://api.pyai.com/v1/telephony/calls/{id}/capabilities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pyai.com/v1/telephony/calls/{id}/capabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pyai.com/v1/telephony/calls/{id}/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pyai.com/v1/telephony/calls/{id}/capabilities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pyai.com/v1/telephony/calls/{id}/capabilities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pyai.com/v1/telephony/calls/{id}/capabilities")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pyai.com/v1/telephony/calls/{id}/capabilities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "telephony.call_capabilities",
"call_id": "<string>",
"version": 1,
"call_type": "human",
"controls": {
"hangup": {
"supported": true,
"reason": "<string>"
},
"hold": {
"supported": true,
"reason": "<string>"
},
"warm_transfer": {
"supported": true,
"reason": "<string>"
},
"cold_transfer": {
"supported": true,
"reason": "<string>"
},
"complete_transfer": {
"supported": true,
"reason": "<string>"
},
"cancel_transfer": {
"supported": true,
"reason": "<string>"
},
"listen": {
"supported": true,
"reason": "<string>"
},
"whisper": {
"supported": true,
"reason": "<string>"
},
"barge": {
"supported": true,
"reason": "<string>"
}
},
"client_controls": [
"mute"
],
"quality": {
"read_supported": true,
"live": false
},
"revalidation_required": true
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "invalid_request_error",
"param": "<string>"
}
}{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"request_id": "<string>"
}Authorizations
apiKeyxApiKey
Response
Provider-neutral session support.